Boomi API Control Plane REST API (MCP Registry) - Servers
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Query MCP servers and server versions across registries. Requires JWT issued by Platform in the Authorization header.
Get a specific MCP server version
Get the details of a specific server version in the resolved registry, including its cached tool definitions.
Authorizations:
path Parameters
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
| version required | string MCP server version to retrieve (for example, 1.0.0). |
Responses
Response Schema: application/json
object (ServerResponseMeta) Registry metadata for a server version response | |
object (ServerJSON) Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration. |
Response samples
- 200
{- "_meta": {
- "com.boomi.registry/official": {
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}, - "assignedSubRegistryIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "toolCount": 0,
- "publishedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "updatedAt": "2019-08-24T14:15:22Z",
- "isPublishedToDevPortal": true,
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "status": "string",
- "statusMessage": "string"
}, - "additionalProperties": {
- "property1": { },
- "property2": { }
}
}, - "server": {
- "name": "io.github.user/weather",
- "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
- "version": "1.0.2",
- "title": "Weather API",
- "icons": [
- {
- "mimeType": "image/png",
- "sizes": [
- "48x48",
- "96x96"
], - "theme": "light"
}
], - "packages": { },
- "remotes": { },
- "repository": {
- "source": "github",
- "id": "b94b5f7e-c7c6-d760-2c78-a5e9b8a5b8c9",
- "subfolder": "src/everything"
}, - "_meta": {
- "com.boomi.registry/official": {
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
], - "remoteTools": [
- {
- "transportType": "streamable-http",
- "url": "string",
- "toolsFetched": true,
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
]
}
]
}, - "com.boomi.registry/publisher-provided": {
- "documents": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "type": "string",
- "sourceUrl": "string",
- "content": "string"
}
]
}, - "io.modelcontextprotocol.registry/publisher-provided": {
- "property1": { },
- "property2": { }
}
}
}
}Get all registered MCP servers
Get a paginated list of MCP servers in the resolved registry, optionally filtered by search term, version, update time, status, or source registry. Set full_text_search=true to use full-text search across server and tool metadata.
Authorizations:
query Parameters
| sort | string Default: "name,asc" Enum: "name,asc" "name,desc" "createdAt,asc" "createdAt,desc" Sort order. Format: |
| cursor | string Opaque cursor token returned as |
| limit | integer [ 1 .. 100 ] Default: 30 Maximum number of items to return per page. Must be between 1 and 100. |
| search | string Case-insensitive substring match against the server name. |
| updated_since | string <date-time> |
| version | string |
| status | string Enum: "active" "deprecated" "deleted" |
| source_id | string <uuid> |
| full_text_search | boolean Default: false |
| fetch_unassigned | boolean Default: false |
| exclude_local_servers | boolean Default: false |
| exclude_packages | boolean Default: false |
Responses
Response Schema: application/json
object (PaginationMetadata) | |
Array of objects (ServerResponse) |
Response samples
- 200
{- "metadata": {
- "offsetStart": 0,
- "nextCursor": "string",
- "page": 0,
- "totalPages": 0,
- "totalElements": 0,
- "limit": 0,
- "count": 0
}, - "servers": [
- {
- "_meta": {
- "com.boomi.registry/official": {
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}, - "assignedSubRegistryIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "toolCount": 0,
- "publishedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "updatedAt": "2019-08-24T14:15:22Z",
- "isPublishedToDevPortal": true,
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "status": "string",
- "statusMessage": "string"
}, - "additionalProperties": {
- "property1": { },
- "property2": { }
}
}, - "server": {
- "name": "io.github.user/weather",
- "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
- "version": "1.0.2",
- "title": "Weather API",
- "icons": [
- {
- "mimeType": "image/png",
- "sizes": [
- "48x48",
- "96x96"
], - "theme": "light"
}
], - "packages": { },
- "remotes": { },
- "repository": {
- "source": "github",
- "id": "b94b5f7e-c7c6-d760-2c78-a5e9b8a5b8c9",
- "subfolder": "src/everything"
}, - "_meta": {
- "com.boomi.registry/official": {
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
], - "remoteTools": [
- {
- "transportType": "streamable-http",
- "url": "string",
- "toolsFetched": true,
- "tools": [
- {
- "name": null,
- "description": null
}
]
}
]
}, - "com.boomi.registry/publisher-provided": {
- "documents": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "type": "string",
- "sourceUrl": "string",
- "content": "string"
}
]
}, - "io.modelcontextprotocol.registry/publisher-provided": {
- "property1": { },
- "property2": { }
}
}
}
}
]
}Get all versions of a specific MCP server
Get all available versions for the named MCP server in the resolved registry, ordered by publication date (newest first).
Authorizations:
path Parameters
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
Responses
Response Schema: application/json
object (PaginationMetadata) | |
Array of objects (ServerResponse) |
Response samples
- 200
{- "metadata": {
- "offsetStart": 0,
- "nextCursor": "string",
- "page": 0,
- "totalPages": 0,
- "totalElements": 0,
- "limit": 0,
- "count": 0
}, - "servers": [
- {
- "_meta": {
- "com.boomi.registry/official": {
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}, - "assignedSubRegistryIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "toolCount": 0,
- "publishedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "updatedAt": "2019-08-24T14:15:22Z",
- "isPublishedToDevPortal": true,
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "status": "string",
- "statusMessage": "string"
}, - "additionalProperties": {
- "property1": { },
- "property2": { }
}
}, - "server": {
- "name": "io.github.user/weather",
- "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
- "version": "1.0.2",
- "title": "Weather API",
- "icons": [
- {
- "mimeType": "image/png",
- "sizes": [
- "48x48",
- "96x96"
], - "theme": "light"
}
], - "packages": { },
- "remotes": { },
- "repository": {
- "source": "github",
- "id": "b94b5f7e-c7c6-d760-2c78-a5e9b8a5b8c9",
- "subfolder": "src/everything"
}, - "_meta": {
- "com.boomi.registry/official": {
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
], - "remoteTools": [
- {
- "transportType": "streamable-http",
- "url": "string",
- "toolsFetched": true,
- "tools": [
- {
- "name": null,
- "description": null
}
]
}
]
}, - "com.boomi.registry/publisher-provided": {
- "documents": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "type": "string",
- "sourceUrl": "string",
- "content": "string"
}
]
}, - "io.modelcontextprotocol.registry/publisher-provided": {
- "property1": { },
- "property2": { }
}
}
}
}
]
}Get all registered MCP servers for a given registry
Get a paginated list of MCP servers in the specified registry, optionally filtered by search term, version, update time, status, or source registry. Set full_text_search=true to use full-text search across server and tool metadata.
Authorizations:
path Parameters
| id required | string <uuid> Identifier of the target registry. |
query Parameters
| sort | string Default: "name,asc" Enum: "name,asc" "name,desc" "createdAt,asc" "createdAt,desc" Sort order. Format: |
| cursor | string Opaque cursor token returned as |
| limit | integer [ 1 .. 100 ] Default: 30 Maximum number of items to return per page. Must be between 1 and 100. |
| search | string Case-insensitive substring match against the server name. |
| updated_since | string <date-time> |
| version | string |
| status | string Enum: "active" "deprecated" "deleted" |
| source_id | string <uuid> |
| full_text_search | boolean Default: false |
| fetch_unassigned | boolean Default: false |
| exclude_local_servers | boolean Default: false |
| exclude_packages | boolean Default: false |
Responses
Response Schema: application/json
object (PaginationMetadata) | |
Array of objects (ServerResponse) |
Response samples
- 200
{- "metadata": {
- "offsetStart": 0,
- "nextCursor": "string",
- "page": 0,
- "totalPages": 0,
- "totalElements": 0,
- "limit": 0,
- "count": 0
}, - "servers": [
- {
- "_meta": {
- "com.boomi.registry/official": {
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}, - "assignedSubRegistryIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "toolCount": 0,
- "publishedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "updatedAt": "2019-08-24T14:15:22Z",
- "isPublishedToDevPortal": true,
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "status": "string",
- "statusMessage": "string"
}, - "additionalProperties": {
- "property1": { },
- "property2": { }
}
}, - "server": {
- "name": "io.github.user/weather",
- "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
- "version": "1.0.2",
- "title": "Weather API",
- "icons": [
- {
- "mimeType": "image/png",
- "sizes": [
- "48x48",
- "96x96"
], - "theme": "light"
}
], - "packages": { },
- "remotes": { },
- "repository": {
- "source": "github",
- "id": "b94b5f7e-c7c6-d760-2c78-a5e9b8a5b8c9",
- "subfolder": "src/everything"
}, - "_meta": {
- "com.boomi.registry/official": {
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
], - "remoteTools": [
- {
- "transportType": "streamable-http",
- "url": "string",
- "toolsFetched": true,
- "tools": [
- {
- "name": null,
- "description": null
}
]
}
]
}, - "com.boomi.registry/publisher-provided": {
- "documents": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "type": "string",
- "sourceUrl": "string",
- "content": "string"
}
]
}, - "io.modelcontextprotocol.registry/publisher-provided": {
- "property1": { },
- "property2": { }
}
}
}
}
]
}Get all versions of a specific MCP server in a given registry
Get all available versions for the named MCP server in the specified registry, ordered by publication date (newest first).
Authorizations:
path Parameters
| id required | string <uuid> Identifier of the target registry. |
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
Responses
Response Schema: application/json
object (PaginationMetadata) | |
Array of objects (ServerResponse) |
Response samples
- 200
{- "metadata": {
- "offsetStart": 0,
- "nextCursor": "string",
- "page": 0,
- "totalPages": 0,
- "totalElements": 0,
- "limit": 0,
- "count": 0
}, - "servers": [
- {
- "_meta": {
- "com.boomi.registry/official": {
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}, - "assignedSubRegistryIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "toolCount": 0,
- "publishedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "updatedAt": "2019-08-24T14:15:22Z",
- "isPublishedToDevPortal": true,
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "status": "string",
- "statusMessage": "string"
}, - "additionalProperties": {
- "property1": { },
- "property2": { }
}
}, - "server": {
- "name": "io.github.user/weather",
- "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
- "version": "1.0.2",
- "title": "Weather API",
- "icons": [
- {
- "mimeType": "image/png",
- "sizes": [
- "48x48",
- "96x96"
], - "theme": "light"
}
], - "packages": { },
- "remotes": { },
- "repository": {
- "source": "github",
- "id": "b94b5f7e-c7c6-d760-2c78-a5e9b8a5b8c9",
- "subfolder": "src/everything"
}, - "_meta": {
- "com.boomi.registry/official": {
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
], - "remoteTools": [
- {
- "transportType": "streamable-http",
- "url": "string",
- "toolsFetched": true,
- "tools": [
- {
- "name": null,
- "description": null
}
]
}
]
}, - "com.boomi.registry/publisher-provided": {
- "documents": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "type": "string",
- "sourceUrl": "string",
- "content": "string"
}
]
}, - "io.modelcontextprotocol.registry/publisher-provided": {
- "property1": { },
- "property2": { }
}
}
}
}
]
}Get a specific MCP server version in a given registry
Get the details of a specific server version in the specified registry, including its cached tool definitions.
Authorizations:
path Parameters
| id required | string <uuid> Identifier of the target registry. |
| serverName required | string URL-decoded MCP server name in namespace/name format (for example, com.example/my-server). |
| version required | string MCP server version to retrieve (for example, 1.0.0). |
Responses
Response Schema: application/json
object (ServerResponseMeta) Registry metadata for a server version response | |
object (ServerJSON) Schema for a static representation of an MCP server. Used in various contexts related to discovery, installation, and configuration. |
Response samples
- 200
{- "_meta": {
- "com.boomi.registry/official": {
- "provenance": {
- "accountId": "account-123",
- "timestamp": "2019-08-24T14:15:22Z",
- "sourceType": "manual",
- "sourceIdentifier": "uuid-123",
- "username": "admin@boomi.com",
- "sourceMetadata": "string"
}, - "assignedSubRegistryIds": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
], - "toolCount": 0,
- "publishedAt": "2019-08-24T14:15:22Z",
- "isLatest": true,
- "updatedAt": "2019-08-24T14:15:22Z",
- "isPublishedToDevPortal": true,
- "statusChangedAt": "2019-08-24T14:15:22Z",
- "status": "string",
- "statusMessage": "string"
}, - "additionalProperties": {
- "property1": { },
- "property2": { }
}
}, - "server": {
- "name": "io.github.user/weather",
- "description": "MCP server providing weather data and forecasts via OpenWeatherMap API",
- "version": "1.0.2",
- "title": "Weather API",
- "icons": [
- {
- "mimeType": "image/png",
- "sizes": [
- "48x48",
- "96x96"
], - "theme": "light"
}
], - "packages": { },
- "remotes": { },
- "repository": {
- "source": "github",
- "id": "b94b5f7e-c7c6-d760-2c78-a5e9b8a5b8c9",
- "subfolder": "src/everything"
}, - "_meta": {
- "com.boomi.registry/official": {
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
], - "remoteTools": [
- {
- "transportType": "streamable-http",
- "url": "string",
- "toolsFetched": true,
- "tools": [
- {
- "name": "addPet",
- "description": "Adds a new pet to the store"
}
]
}
]
}, - "com.boomi.registry/publisher-provided": {
- "documents": [
- {
- "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
- "name": "string",
- "type": "string",
- "sourceUrl": "string",
- "content": "string"
}
]
}, - "io.modelcontextprotocol.registry/publisher-provided": {
- "property1": { },
- "property2": { }
}
}
}
}